SaaS 2.0 not require Odoo versions, start support from v11, v12 to the latest but related to Premium “Odoo supported Service” like Odoo Theme Mobile support/Odoo template… currently support for 1 single latest version, if require more version support it will cost extra you can find here: Odoo.Cheap Price